Bug 140219 - Need LookupProvider support for J2eePlatform lookup
Need LookupProvider support for J2eePlatform lookup
Status: RESOLVED FIXED
Product: serverplugins
Classification: Unclassified
Component: Infrastructure
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Petr Hejl
issues@serverplugins
: API, API_REVIEW_FAST
Depends on:
Blocks: 140796 137978
  Show dependency treegraph
 
Reported: 2008-07-16 08:35 UTC by Milan Kuchtiak
Modified: 2008-07-23 16:28 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
proposed patch (15.51 KB, text/plain)
2008-07-16 16:56 UTC, Petr Hejl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Milan Kuchtiak 2008-07-16 08:35:40 UTC
The WS Stack API implementation requires this API extension.
See the issue 136912.
Please include the LookupProvider interface with createAdditionalLookup(Lookup base); method 
and implement some static method like Lookup createCompositeLookup(Lookup base, String folderPath);

J2ee Plugins will use this static method in J2EEPlatformImpl.getLookup() method to enable registration of additional
Lookup Providers in layer.xml files.
Comment 1 Petr Hejl 2008-07-16 16:56:54 UTC
Created attachment 64723 [details]
proposed patch
Comment 2 Petr Hejl 2008-07-16 16:58:03 UTC
Please review.
Comment 3 Milan Kuchtiak 2008-07-16 17:23:37 UTC
The commented part in LookupProviderSupport can be removed.
Comment 4 Petr Hejl 2008-07-22 13:19:07 UTC
I'll push this change tomorrow, unless no further objections.
Comment 5 Milos Kleint 2008-07-22 14:06:50 UTC
just a note for future reference: 
the LookupProvider added here is a simplified version of the one residing in projectapi
I understand the j2eeserver codebase shall not introduce a dependency on projects probably.
However if the need arises for more similar "copies" we shall consider moving LookupProvider to a more prominent api module.
Comment 6 Petr Hejl 2008-07-23 16:27:06 UTC
Fixed in main 3818ebbefd71.
Comment 7 Petr Hejl 2008-07-23 16:28:33 UTC
Fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo